%define package_name    lib%{name}
%define	version	2.1.5
%define release	%mkrel 2


%define major 4
%define libname %mklibname %{name} %{major}

Name:		musicbrainz
Version:	%{version}
Release:	%{release}
Summary:	A software library for accesing MusicBrainz servers
Source:		http://ftp.musicbrainz.org/pub/musicbrainz/%{package_name}-%{version}.tar.gz
URL:		http://www.musicbrainz.org
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
License:	LGPL
BuildRequires:	libexpat1-devel python-ctypes
BuildRequires:	autoconf2.5 
BuildRequires:	python-devel
Requires:	libexpat1


%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %{libname}
Summary:        A software library for accesing MusicBrainz servers
Group:          System/Libraries

%description -n %{libname}
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use libmusicbrainz
Group:		Development/Other
Requires:   %{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use libmusicbrainz.

%package -n	python-%{name}
Summary:	Python binding to use libmusicbrainz
Group:		Development/Python

%description -n python-%{name}
Python binding to use libmusicbrainz.


%prep
%setup -q -n %{package_name}-%{version}

%build
%configure2_5x
%make


%install
rm -rf $RPM_BUILD_ROOT

#mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig
%makeinstall_std

cd python 
python setup.py install --prefix=$RPM_BUILD_ROOT/%_prefix
cd -
%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n python-%{name}
%defattr(-, root, root)
%doc python/examples/
%{py_puresitedir}/*

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO INSTALL
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%{_includedir}/musicbrainz
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Mon Aug 25 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 2.1.5-2pclos2007
- Rebuild

* Tue Aug 07 2007 Texstar <texstar@gmail.com> 2.1.5-1
- rebuild against updated libexpat1
- 2.1.5
- security updates merged upstream

* Sun Nov 12 2006 Texstar <texstar@houston.rr.com> 2.1.3-4pclos2007
- Build for PCLinuxOS 2007

